#ifndef DEFINE_H
#define DEFINE_H
#include <iostream>

#define CLASS_ATT(type, name) private:\
type name;\
public:\
type& get##name(){return name;}\
const type& get##name()const{return name;}\
void set##name(const type& val) {name = val;}

typedef double number;

#define DBG(var) std::cerr << #var << " at line " << __LINE__ << " has value " << var << std::endl
#define DBGMSG(msg) std::cerr << "DBGMSG at line " << __LINE__ << " says " << msg << std::endl
#define DBGCHECK std::cerr << "check in file " << __FILE__ << " at line " << __LINE__ << std::endl
#endif // DEFINE_H
