#ifndef GOALSETTINGS_H
#define GOALSETTINGS_H



#include <QWidget>
#include <QDialog>
#include "define.h"
#include <QLabel>
#include <QSpinBox>
#include <QDoubleSpinBox>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QPushButton>
#include <QCheckBox>
class GoalSettings : public QDialog
{
    Q_OBJECT


    // parameters
    QSpinBox* sbValue;
    QCheckBox* chDel;


    QLabel* labVal;

    QPushButton *btnOk, *btnCancel;

    QHBoxLayout* lButtons;
    QVBoxLayout* lMain, *lSBOpt;

public:
    explicit GoalSettings(QWidget *parent = nullptr);

    int getValue(){return sbValue->value();}
    void setValue(int val){sbValue->setValue(val);}
    bool removeGoal() {
        return chDel->isChecked();
    }

signals:

public slots:
};
#endif // GOALSETTINGS_H
