#ifndef MAPVIEW_H
#define MAPVIEW_H

#include <QWidget>
#include "map.h"
#include "myscene.h"
#include <QGraphicsView>
#include <QGraphicsScene>
#include <QVBoxLayout>

class MapView : public QWidget
{

    Q_OBJECT

    myScene* scene;

    QGraphicsView* view;

    QVBoxLayout* lMain;

    CLASS_ATT(int, viewMode)

public:
    MapView(QWidget *parent = nullptr);

    void updateView(Map& m);

    void drawArrow(int x, int y, int dir);

signals:

    void fieldClicked(int i, int j);

public slots:
    void sceneClicked(QGraphicsSceneMouseEvent* me);
};

#endif // MAPVIEW_H
