#ifndef MAP_H
#define MAP_H
#include "define.h"
#include "field.h"
#include <fstream>
class Map
{
    Field **map;
    CLASS_ATT(int, Cols)
    CLASS_ATT(int, Rows)
    void alocateMap(const int rows, const int cols);

public:
    Map(const int rows = 0, const int cols = 0);
    Map(const char* fileName);
    Map(Map &other);
    Map(Map &&other);
    void copy(Map& other);
    ~Map();

    Field& at(int r, int c){return map[r][c];}

    Map& operator= (Map& other);

    Map& tunel  (Map&& other);

    void loadFromFile(const char* fileName);

    void loadFromFile(std::istream &ist);

    void deleteMap();

    std::ostream& printValues(std::ostream& ost);

    std::ostream& printDesitions(std::ostream& ost);
};

#endif // MAP_H
