#ifndef STRATEGIST_H
#define STRATEGIST_H
#include "map.h"

class Strategist
{
    CLASS_ATT(number, POK)
    CLASS_ATT(number, PLeft)
    CLASS_ATT(number, PRight)
    CLASS_ATT(number, PBack)
    CLASS_ATT(number, Gamma)
    CLASS_ATT(number, StepCost)
    CLASS_ATT(int, NMax)

public:
    Strategist();
    Strategist(const char* fileName);

    struct choise
    {
        number value;
        int direction;
    };

    number goNorth(Map &map, int r, int c);
    number goWest(Map &map, int r, int c);
    number goSouth(Map &map, int r, int c);
    number goEast(Map &map, int r, int c);

    choise bestChoise(Map& map, int r, int c);

    void findGoal(Map& map,int& r, int& c);

    Map plan(Map& map);
    void loadFromFile(const char* fileName);
    void loadFromFile(std::istream &ist);
};

#endif // STRATEGIST_H
